#include <bits/stdc++.h>
using namespace std;

long long t,n,m,k,x;

int main(){
    cin >> t;

    while(t--){
      cin >> n >> m >> k;
      x = (((n/k)*((n/k)+1))/2)*(k-(n%k)) + ((((n/k)+1)*((n/k)+2))/2)*(n%k);

      if(m-x >= 0){
        cout << "Tak\n";
      }
      else{
        cout << "Nie\n";
      }
    }

    return 0;
}